getInputFileLogByParentHash

Prev Next

Available in Classic and VPC

Get the analysis results of the files in the compressed file at once using the hash value of the compressed file requested for analysis through the inputFile API.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /filefilter/v1/getInputFileLogByParentHash

Request headers

For information about the headers common to all File Safer APIs, see File Safer request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
parentHash String Required Hash value of the compressed file
  • sha1
  • fromDate String Conditional Query start date and time
  • Enter in timestamp format
  • toDate String Conditional Query end date and time
  • Enter in timestamp format
  • Request example

    The request example is as follows:

    curl --location --request GET 'https://filesafer.apigw.ntruss.com/filefilter/v1/getInputFileLogByParentHash?parentHash=f093e7767bb63ac973b697d3fd1d40a78b87b8bf' \
    --header 'x-ncp-apigw-timestamp: {Timestamp}' \
    --header 'x-ncp-apigw-api-key: {API Gateway API Key}' \
    --header 'x-ncp-iam-access-key: {Access Key}' \
    --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
    --header 'Accept: application/json'
    

    Response

    This section describes the response format.

    Response body

    The response body includes the following data:

    Field Type Required Description
    returnCode String Required Response code
    returnMessage String Required Response message
    inputFileLogList Array Required Analysis results of the requested file: inputFileLogList
    • If a file with the same hash is analyzed more than once, it will be listed
    • Display blank if no files were analyzed

    inputFileLogList

    The following describes inputFileLogList.

    Field Type Required Description
    fileType String Conditional Format of file analyzed
    • Include only if analyzed files exist
    fileSize Integer Conditional Size of file analyzed
    • Include only if analyzed files exist
    parentSha1 String Conditional SHA1 hash value of the requested compressed file itself
    • Include only if analyzed files exist
    md5 String Conditional MD5 hash value of the analyzed files in the compressed file
    • Include only if analyzed files exist
    sha1 String Conditional SHA1 hash value of the analyzed files in the compressed file
    • Include only if analyzed files exist
    sha256 String Conditional SHA256 hash value of the analyzed files in the compressed file
    • Include only if analyzed files exist
    analysisStatusCode String Conditional Analysis status code
    • IPRG | CMPL | ERR | EXCN
      • IPRG: analyzing
      • CMPL: analysis completed
      • ERR: analysis error
      • EXCN: exclude analysis
    analysisResultCode String Conditional Analysis result code
    • M | N | E
      • M: malware detected
      • N: malware not detected
      • E: detection error
    • Include only if analyzed files exist
    notifyYmdt Long - Notification delivery time, if set
    • Include only if analyzed files exist
    registrationYmdt Long - File ingest time
    • Include only if analyzed files exist
    Note

    The serviceCode and applicationCode may be displayed in the response results, but they are not fields that users should refer to.

    Response status codes

    For information about the HTTP status codes common to all File Safer APIs, see File Safer response status codes.

    Response example

    The response example is as follows:

    If you have analyzed files

    The following is a sample response if you have analyzed files.

    {
        "returnCode": "0",
        "returnMessage": "success",
        "inputFileLogList": [
            {
                "fileType": "Adobe Portable Document Format",
                "fileSize": 68584,
                "parentSha1": "4fa122a164fab49701d440dc376a108b2ab71bc4",
                "md5": "83861ed7105eb8b9886616f9f0428b62",
                "sha1": "ea445bec4e8f79c5a2f8db5a368f2c3c741e238f",
                "sha256": "ff8ca1b607ab03268078d9bde33980e16ca45aa3c798e2b963ca89efd87714cc",
                "analysisStatusCode": "CMPL",
                "analysisResultCode": "N",
                "notifyYmdt": null,
                "registrationYmdt": 1697766000000,
                "serviceCode": null,
                "applicationCode": null
            },
            {
                "fileType": "Adobe Portable Document Format",
                "fileSize": 56686,
                "parentSha1": "4fa122a164fab49701d440dc376a108b2ab71bc4",
                "md5": "e162e32656ff4b4666d14bc43f9238c1",
                "sha1": "d4021b08bcaa08255afd1b80bf9c39ab46116447",
                "sha256": "40aa534c3cd62f4d7585a9bbf06a4af23b771d8b39127f16b2ec2503bffcd4aa",
                "analysisStatusCode": "CMPL",
                "analysisResultCode": "N",
                "notifyYmdt": null,
                "registrationYmdt": 1697766000000,
                "serviceCode": null,
                "applicationCode": null
            }
        ]
    }
    

    If you don't have analyzed files

    The following is a sample response if you don't have analyzed files.

    {
        "returnCode": "0",
        "returnMessage": "success",
        "inputFileLogList": [
        ]
    }